LIBJXL

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlBitDepth Struct Reference
JPEG XL library (libjxl) » Common API concepts

`#include <types.h>`

## Public Attributes
JxlBitDepthType | type
uint32_t | bits_per_sample
uint32_t | exponent_bits_per_sample

## Detailed Description

Data type for describing the interpretation of the input and output buffers in terms of the range of allowed input and output pixel values.

## Member Data Documentation

## ◆ bits_per_sample

uint32_t JxlBitDepth::bits_per_sample

Custom bits per sample

## ◆ exponent_bits_per_sample

uint32_t JxlBitDepth::exponent_bits_per_sample

Custom exponent bits per sample

## ◆ type

JxlBitDepthType JxlBitDepth::type

Bit depth setting, see comment on JxlBitDepthType

The documentation for this struct was generated from the following file:

- jxl/types.h